/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-02-08
 * 描述            ：岗位操作IP限制
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Lengthwise.Performance.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Lengthwise.Performance.mapper.MesOprIpPermissionsMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_OPR_IP_PERMISSIONS", namespace=MesOprIpPermissionsMapper.class)
public class MesOprIpPermissions extends BaseVO implements Serializable {
	/** 
	 * 机台代码
	 */ 
	@Column
	private String machine_code;
	public String  getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 用途标识
	 */ 
	@Column
	private String purpose_code;
	public String  getPurpose_code() {
		return this.purpose_code;
	}
	public void setPurpose_code(String purpose_code) {
		this.purpose_code = purpose_code;
	}

	/** 
	 * 用途说明
	 */ 
	@Column
	private String purpose_desc;
	public String  getPurpose_desc() {
		return this.purpose_desc;
	}
	public void setPurpose_desc(String purpose_desc) {
		this.purpose_desc = purpose_desc;
	}

	/** 
	 * 限定操作IP地址1
	 */ 
	@Column
	private String ip_address_01;
	public String  getIp_address_01() {
		return this.ip_address_01;
	}
	public void setIp_address_01(String ip_address_01) {
		this.ip_address_01 = ip_address_01;
	}

	/** 
	 * 限定操作IP地址2
	 */ 
	@Column
	private String ip_address_02;
	public String  getIp_address_02() {
		return this.ip_address_02;
	}
	public void setIp_address_02(String ip_address_02) {
		this.ip_address_02 = ip_address_02;
	}

	/** 
	 * 限定操作IP地址3
	 */ 
	@Column
	private String ip_address_03;
	public String  getIp_address_03() {
		return this.ip_address_03;
	}
	public void setIp_address_03(String ip_address_03) {
		this.ip_address_03 = ip_address_03;
	}

	/** 
	 * 限定操作IP地址4
	 */ 
	@Column
	private String ip_address_04;
	public String  getIp_address_04() {
		return this.ip_address_04;
	}
	public void setIp_address_04(String ip_address_04) {
		this.ip_address_04 = ip_address_04;
	}

	/** 
	 * 限定操作IP地址5
	 */ 
	@Column
	private String ip_address_05;
	public String  getIp_address_05() {
		return this.ip_address_05;
	}
	public void setIp_address_05(String ip_address_05) {
		this.ip_address_05 = ip_address_05;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_opr;
	public String  getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String  getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
